## org.apache.batik.apps.svgbrowser
Class DOMViewer.Panel.TreeNodeRemover

    java.lang.Object
      org.apache.batik.apps.svgbrowser.DOMViewer.Panel.TreeNodeRemover

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

Enclosing class:
  DOMViewer.Panel

    protected class DOMViewer.Panel.TreeNodeRemover

extends java.lang.Object
implements java.awt.event.ActionListener

Handles tree pop-up menu action for removing nodes.

Constructor Summary
`protected` `DOMViewer.Panel.TreeNodeRemover()`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMViewer.Panel.TreeNodeRemover

    protected DOMViewer.Panel.TreeNodeRemover()

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.